高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviServiceAreaDetailInfo Class Reference

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviServiceAreaDetailInfo:

## Properties
NSInteger | distance
NSInteger | time
NSString * | shape
NSUInteger | sapaDetail
NSString * | address
| 地址 Address
NSArray< AMapNaviServiceAreaChildrenPOI * > * | serviceChildren
| 各个服务品类的子POI Sub-POIs of each service category
NSString * | normalTimeText
| 营业时间的文本描述 Text description of business hours
NSString * | priceParkingStd
| 标准的停车价格 Standard parking rates
NSArray< AMapNaviChargingInfo * > * | chargingInfos
| 充电详情 Charging Details
Properties inherited from AMapNaviPOI
NSString * | poiId
NSString * | name
AMapNaviPoint * | point
NSString * | telephone
NSString * | typeCode

## Detailed Description

服务区详细信息 since 10.1.0 Service area details since 10.1.0

## Property Documentation

## ◆ address

- (NSString*) address
| read write nonatomic copy

地址 Address

## ◆ chargingInfos

- (NSArray<AMapNaviChargingInfo *>*) chargingInfos
| read write nonatomic copy

充电详情 Charging Details

## ◆ distance

- (NSInteger) distance
| read write nonatomic assign

当前位置到服务区域的距离，单位：米 Distance from current location to service area, unit: meters

## ◆ normalTimeText

- (NSString*) normalTimeText
| read write nonatomic copy

营业时间的文本描述 Text description of business hours

## ◆ priceParkingStd

- (NSString*) priceParkingStd
| read write nonatomic copy

标准的停车价格 Standard parking rates

## ◆ sapaDetail

- (NSUInteger) sapaDetail
| read write nonatomic assign

服务区详细信息：按位标识（0-没有，1-有）二进制位含义如下：0:加油站. 1:餐饮服务. 2:卫生间. 3:汽车维修. 4:购物5:住宿. 6:充电站. 7:停车服务. 8:加气服务. Service area details: Bitwise flag (0-absent, 1-present) binary bit meanings are as follows: 0:Gas station. 1:Dining service. 2:Restroom. 3:Auto repair. 4:Shopping. 5:Lodging. 6:Charging station. 7:Parking service. 8:Gas refill service.

## ◆ serviceChildren

- (NSArray<AMapNaviServiceAreaChildrenPOI *>*) serviceChildren
| read write nonatomic copy

各个服务品类的子POI Sub-POIs of each service category

## ◆ shape

- (NSString*) shape
| read write nonatomic copy

服务区的轮廓形状点 contour shape points of the service area

## ◆ time

- (NSInteger) time
| read write nonatomic assign

当前位置到服务区域的预估时间， 单位：秒 Estimated time from current location to service area, unit: seconds

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。